Summary:	Abstraction layer for providing audio and video RTP Services
Name:		psimedia
Version:	1.0.3
License:	GPLv2+
Group:		Networking/Instant messaging
Release:	%mkrel 17
Source:		http://delta.affinix.com/download/psimedia/%{name}-%{version}.tar.bz2
Patch0:		psimedia-1.0.3-fedora-remove-v4l.patch
Patch1:		psimedia-1.0.3-gentoo-drop-v4lsrc-gst-plugin.patch
Patch2:		psimedia-1.0.3-fix-build-with-new-glib.patch
URL:		http://delta.affinix.com/psimedia/
BuildRequires:	qt4-devel
BuildRequires:	libgstreamer-plugins-base-devel
BuildRequires:	liboil-devel
BuildRequires:	gdb
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(speexdsp)

%description
PsiMedia is a thick abstraction layer for providing audio and
video RTP services to Psi-like IM clients.

The implementation is based on GStreamer.

%package -n psi-plugin-media
Summary:	Audio and Video plugin for Psi
Group:		Networking/Instant messaging
# Needed since it's not part of gstreamer0.10-plugins-good
Requires:	gstreamer0.10-speex
Requires:	gstreamer0.10-plugins-good

%description -n psi-plugin-media
This plugin provides audio and video RTP services to PSI.

This implementation is based on GStreamer.

%files -n psi-plugin-media
%doc COPYING README TODO
%{_libdir}/psi/plugins/libgstprovider.so

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1 -b .glibfix

%build
./configure --debug --no-separate-debug-info
%make

%install
# We only need libgstprovider.so in order to enable audio RTP Services for psi
install -Dpm 0755 gstprovider/libgstprovider.so  %{buildroot}%{_libdir}/psi/plugins/libgstprovider.so


%changelog
* Mon Apr 04 2016 shlomif <shlomif> 1.0.3-17.mga6
+ Revision: 998327
- Small fixes to spacing and punctuation

* Thu Jan 07 2016 danf <danf> 1.0.3-16.mga6
+ Revision: 920254
- Enabled debuginfo

  + tv <tv>
    - BR gdb

  + daviddavid <daviddavid>
    - add missing BuildRequires on pkgconfig(speexdsp) to fix build

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-14.mga5
+ Revision: 741383
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-13.mga5
+ Revision: 687814
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.3-12.mga4
+ Revision: 517705
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.3-11.mga3
+ Revision: 378281
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 wally <wally> 1.0.3-10.mga3
+ Revision: 335004
- add patch to fix build with new glib
- clean .spec a bit

* Wed Apr 27 2011 mikala <mikala> 1.0.3-9.mga1
+ Revision: 91893
- Add patch0 from fedora (remove support for V4L)
  Add patch1 from gentoo (Fix crash due to dropped gst-plugins-v4l)

* Tue Feb 15 2011 mikala <mikala> 1.0.3-8.mga1
+ Revision: 51880
- Remove BuildRoot
- imported package psimedia

